<template>
    <div>
        <div class="row">

            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4>Data Indikator Inovasi Daerah</h4>
                        <p>21 Indikator dari Data Isian Inovasi Daerah. Silahkan membaca deskripsi atau keterangan terlebih dahulu dari masing-masing isian dalam formulir ini. Jika terdapat pertanyaan, silahkan berkoordinasi ke Whatsapp Grup "Koordinasi IGA DPS 2020"</p>
                        <br>
                    </div>
                </div>
            </div>

            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleInputEmail1">1. Regulasi Inovasi Daerah [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Regulasi / Kebijakan yang ditetapkan untuk mendukung Inovasi Daerah</p>
                            <div class="form-check" v-for="(regulasi_inovasi,index) in regulasiinovasi" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="regulasi_inovasi_id"
                                            :value="regulasi_inovasi.id"
                                            v-model="currentData.regulasi_inovasi_id"
                                            v-validate="'required'"
                                            name="regulasi_inovasi_id"
                                            data-vv-as="Regulasi Inovasi Daerah [Kuisioner]">
                                    {{ regulasi_inovasi.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('regulasi_inovasi_id') }}</div>
                        </div>

                        <div class="form-group">
                            <label>1. Regulasi Inovasi Daerah [Data Pendukung])</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf)</p>
                            <div v-for="(file, index) in  regulasi_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Regulasi File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/regulasi_file"
                                extensions="doc,docx,pdf"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf"
                                :multiple="false"
                                v-model="regulasi_file"
                                @input-filter="inputFilter"
                                @input-file="uploadRegulasi"
                                ref="regulasi_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="regulasi_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('regulasi_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">1. Regulasi Inovasi Daerah [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="regulasi_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.regulasi_filename"
                                v-validate="'required'"
                                name="regulasi_filename"
                                data-vv-as="Regulasi Inovasi Daerah [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('regulasi_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">2. Ketersediaan SDM Terhadap Inovasi Daerah [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Jumlah SDM yang melaksanakan inovasi daerah ini. jumlahnya ada berapa orang</p>
                            <div class="form-check" v-for="(ketersediaan_sdm,index) in ketersediaansdm" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="ketersediaan_sdm_id"
                                            :value="ketersediaan_sdm.id"
                                            v-model="currentData.ketersediaan_sdm_id"
                                            v-validate="'required'"
                                            name="ketersediaan_sdm_id"
                                            data-vv-as="Ketersediaan SDM Terhadap Inovasi Daerah [Kuisioner]">
                                    {{ ketersediaan_sdm.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('ketersediaan_sdm_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>2. Ketersediaan SDM Terhadap Inovasi Daerah [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf)</p>
                            <div v-for="(file, index) in  sdm_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Ketersedian File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/sdm_file"
                                extensions="doc,docx,pdf"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf"
                                :multiple="false"
                                v-model="sdm_file"
                                @input-filter="inputFilter"
                                @input-file="uploadSdm"
                                ref="sdm_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="sdm_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('sdm_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">2. Ketersediaan SDM Terhadap Inovasi Daerah [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Anggaran untuk inovasi daerah dituangkan dalam APBD</p>
                            <input  type="text"
                                class="form-control"
                                id="sdm_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.sdm_filename"
                                v-validate="'required'"
                                name="sdm_filename"
                                data-vv-as="Ketersediaan SDM Terhadap Inovasi Daerah [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('sdm_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">3. Dukungan Anggaran [Kuisioner] <a style="color:red;">*</a></label>
                            <div class="form-check" v-for="(dukungan_anggaran,index) in dukungananggaran" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="dukungan_anggaran_id"
                                            :value="dukungan_anggaran.id"
                                            v-model="currentData.dukungan_anggaran_id"
                                            v-validate="'required'"
                                            name="dukungan_anggaran_id"
                                            data-vv-as="Dukungan Anggaran [Kuisioner]">
                                    {{ dukungan_anggaran.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('dukungan_anggaran_id') }}</div>
                        </div>

                        <div class="form-group">
                            <label>3. Dukungan Anggaran [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf)</p>
                            <div v-for="(file, index) in  dukungananggaran_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Dukungan Anggaran File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/dukungananggaran_file"
                                extensions="doc,docx,pdf"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf"
                                :multiple="false"
                                v-model="dukungananggaran_file"
                                @input-filter="inputFilter"
                                @input-file="uploadDukunganAnggaran"
                                ref="dukungananggaran_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="dukungananggaran_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('dukungananggaran_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">3. Dukungan Anggaran [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="anggaran_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.anggaran_filename"
                                v-validate="'required'"
                                name="anggaran_filename"
                                data-vv-as="Dukungan Anggaran [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('anggaran_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">4. Penggunaan IT [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Penggunaan alat elektronik, teknologi dan sistem informasi dalam inovasi daerah</p>
                            <div class="form-check" v-for="(penggunaan_it,index) in penggunaanit" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="penggunaan_it_id"
                                            :value="penggunaan_it.id"
                                            v-model="currentData.penggunaan_it_id"
                                            v-validate="'required'"
                                            name="penggunaan_it_id"
                                            data-vv-as="Penggunaan IT [Kuisioner]">
                                    {{ penggunaan_it.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('penggunaan_it_id') }}</div>
                        </div>

                        <div class="form-group">
                            <label>4. Penggunaan IT [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  it_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Penggunaan IT File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/it_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png,"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="it_file"
                                @input-filter="inputFilter"
                                @input-file="uploadIt"
                                ref="it_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="it_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('it_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">4. Penggunaan IT [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="it_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.it_filename"
                                v-validate="'required'"
                                name="it_filename"
                                data-vv-as="Penggunaan IT [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('it_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">5. Bimtek Inovasi [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Suatu kegiatan yang diberikan pengguna inovasi daerah kepada pelatihan yang bermanfaat dalam meningkatkan inovasi daerah</p>
                            <div class="form-check" v-for="(bimtek,index) in bimtek" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="bimtek_id"
                                            :value="bimtek.id"
                                            v-model="currentData.bimtek_id"
                                            v-validate="'required'"
                                            name="bimtek_id"
                                            data-vv-as="Bimtek Inovasi [Kuisioner]">
                                    {{ bimtek.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('bimtek_id') }}</div>
                        </div>

                        <div class="form-group">
                            <label>5. Bimtek Inovasi [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  bimtek_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Bimtek File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/bimtek_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png,"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="bimtek_file"
                                @input-filter="inputFilter"
                                @input-file="uploadBimtek"
                                ref="bimtek_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="bimtek_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('bimtek_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">5. Bimtek Inovasi [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="bimtek_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.bimtek_filename"
                                v-validate="'required'"
                                name="bimtek_filename"
                                data-vv-as="Bimtek Inovasi [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('bimtek_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">6. Program Dan Kegiatan Di Renstra OPD [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Inovasi Daerah masuk dalam program dan kegiatan Renstra OPD</p>
                            <div class="form-check" v-for="(program_renstra,index) in programrenstra" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="program_renstra_id"
                                            :value="program_renstra.id"
                                            v-model="currentData.program_renstra_id"
                                            v-validate="'required'"
                                            name="program_renstra_id"
                                            data-vv-as="Program Dan Kegiatan Di Renstra OPD [Kuisioner]">
                                    {{ program_renstra.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('program_renstra_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>6. Program Dan Kegiatan Di Renstra OPD [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf)</p>
                            <div v-for="(file, index) in  renstra_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Renstra OPD File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/renstra_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png,"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="renstra_file"
                                @input-filter="inputFilter"
                                @input-file="uploadRenstra"
                                ref="renstra_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="renstra_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('renstra_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">6. Program Dan Kegiatan Di Renstra OPD [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="renstra_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.renstra_filename"
                                v-validate="'required'"
                                name="renstra_filename"
                                data-vv-as="Program Dan Kegiatan Di Renstra OPD [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('renstra_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">7. Jejaring Inovasi [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Interaksi antar pelaku inovasi daerah. misalkan antar OPD, antar Pemda, atau melibatkan pelayanan publik</p>
                            <div class="form-check" v-for="(jejaring_inovasi,index) in jejaringinovasi" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="jejaring_inovasi_id"
                                            :value="jejaring_inovasi.id"
                                            v-model="currentData.jejaring_inovasi_id"
                                            v-validate="'required'"
                                            name="jejaring_inovasi_id"
                                            data-vv-as="Jejaring Inovasi [Kuisioner]">
                                    {{ jejaring_inovasi.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('jejaring_inovasi_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>7. Jejaring Inovasi [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf) atau file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  jejaring_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Jejaring Inovasi File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/jejaring_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png,"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="jejaring_file"
                                @input-filter="inputFilter"
                                @input-file="uploadJejaring"
                                ref="jejaring_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="jejaring_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('jejaring_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">7. Jejaring Inovasi [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="jejaring_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.jejaring_filename"
                                v-validate="'required'"
                                name="jejaring_filename"
                                data-vv-as="Jejaring Inovasi [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('jejaring_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">8. Replikasi [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Inovasi daerah yang telah berhasil direplikasi ke daerah lain</p>
                            <div class="form-check" v-for="(replikasi,index) in replikasi" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="replikasi_id"
                                            :value="replikasi.id"
                                            v-model="currentData.replikasi_id"
                                            v-validate="'required'"
                                            name="replikasi_id"
                                            data-vv-as="Replikasi [Kuisioner]">
                                    {{ replikasi.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('replikasi_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>8. Replikasi [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf)</p>
                            <div v-for="(file, index) in  replikasi_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Replikasi File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/replikasi_file"
                                extensions="doc,docx,pdf"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf"
                                :multiple="false"
                                v-model="replikasi_file"
                                @input-filter="inputFilter"
                                @input-file="uploadReplikasi"
                                ref="replikasi_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="replikasi_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('replikasi_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">8. Replikasi [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="replikasi_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.replikasi_filename"
                                v-validate="'required'"
                                name="replikasi_filename"
                                data-vv-as="Replikasi [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('replikasi_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>


        </div>
        <button class="btn btn-primary" type="submit" @click.prevent="submit()">Submit form</button>
    </div>
</template>

<script>

    export default {
        props: ['dataprops'],
        filters: {
        formatSize: function (value) {
            if (!value) return ''
                let valKB = 0.000001*value
                return `${valKB.toFixed(2)} MB`
            }
        },

        //Binding Data
        data() {
            return {
                component:'Page2Component',
                token:document.head.querySelector('meta[name="csrf-token"]').content,
                currentData:{
                    // id:'',
                    regulasi_inovasi_id:'',
                    regulasi_file:'',
                    regulasi_filename:'',
                    ketersediaan_sdm_id:'',
                    sdm_file:'',
                    sdm_filename:'',
                    dukungan_anggaran_id:'',
                    dukungananggaran_file:'',
                    anggaran_filename:'',
                    penggunaan_it_id:'',
                    it_file:'',
                    it_filename:'',
                    bimtek_id:'',
                    bimtek_file:'',
                    bimtek_filename:'',
                    program_renstra_id:'',
                    renstra_file:'',
                    renstra_filename:'',
                    jejaring_inovasi_id:'',
                    jejaring_file:'',
                    jejaring_filename:'',
                    replikasi_id:'',
                    replikasi_file:'',
                    replikasi_filename:'',
                },

                //initializing property form
                regulasi_inovasi_id:[],
                ketersediaan_sdm_id:[],
                dukungan_anggaran_id:[],
                penggunaan_it_id:[],
                bimtek_id:[],
                program_renstra_id:[],
                jejaring_inovasi_id:[],
                replikasi_id:[],

                //initializing property funtion get data
                regulasiinovasi:[],
                ketersediaansdm:[],
                dukungananggaran:[],
                penggunaanit:[],
                bimtek:[],
                programrenstra:[],
                jejaringinovasi:[],
                replikasi:[],

                //initializing property upload file
                // files: [],
                regulasi_file:[],
                sdm_file:[],
                dukungananggaran_file:[],
                it_file:[],
                bimtek_file:[],
                renstra_file:[],
                jejaring_file:[],
                replikasi_file:[],
                image_folder:"iconFile"
            }
        },

        created(){
            this.initial();
            this.getRegulasiInovasi();
            this.getKetersediaanSdm();
            this.getDukunganAnggaran();
            this.getPenggunaanIt();
            this.getBimtek();
            this.getProgramRenstra();
            this.getJejaringInovasi();
            this.getReplikasi();
            // this.testData();
        },

        methods: {
            initial(){
                this.currentData.id = this.dataprops.id
            },
            testData(){
                this.currentData = {
                    regulasi_inovasi_id:3,
                    regulasi_file:'test',
                    regulasi_filename:'test',
                    ketersediaan_sdm_id:3,
                    sdm_file:'test',
                    sdm_filename:'test',
                    dukungan_anggaran_id:3,
                    dukungananggaran_file:'test',
                    anggaran_filename:'test',
                    penggunaan_it_id:3,
                    it_file:'test',
                    it_filename:'test',
                    bimtek_id:3,
                    bimtek_file:'test',
                    bimtek_filename:'test',
                    program_renstra_id:3,
                    renstra_file:'test',
                    renstra_filename:'test',
                    jejaring_inovasi_id:3,
                    jejaring_file:'test',
                    jejaring_filename:'test',
                    replikasi_id:3,
                    replikasi_file:'test',
                    replikasi_filename:'test',
                }

            },
            //function to get all data from laravel route (Frontend/Home)
            getRegulasiInovasi() {
                axios.get('/form2/get/regulasiinovasi').then(response => {
                   this.regulasiinovasi = response.data
                })
            },
            getKetersediaanSdm() {
                axios.get('/form2/get/ketersediaansdm').then(response => {
                   this.ketersediaansdm = response.data
                })
            },
            getDukunganAnggaran() {
                axios.get('/form2/get/dukungananggaran').then(response => {
                   this.dukungananggaran = response.data
                })
            },
            getPenggunaanIt() {
                axios.get('/form2/get/penggunaanit').then(response => {
                   this.penggunaanit = response.data
                })
            },
            getBimtek() {
                axios.get('/form2/get/bimtek').then(response => {
                   this.bimtek = response.data
                })
            },
            getProgramRenstra() {
                axios.get('/form2/get/programrenstra').then(response => {
                   this.programrenstra = response.data
                })
            },
            getJejaringInovasi() {
                axios.get('/form2/get/jejaringinovasi').then(response => {
                   this.jejaringinovasi = response.data
                })
            },
            getReplikasi() {
                axios.get('/form2/get/replikasi').then(response => {
                   this.replikasi = response.data
                })
            },

            //function when user click the button submit
            submit(){
                //validation form
                this.$validator.validate().then(valid => {
                    if (valid) {
                        //Insert data to backend(laravel)
                        this.insertData()
                        //to next component
                        this.toNextComponent('Page3Component')
                    }
                 });
            },

            formData(obj){
                var formData = new FormData();
                for (var key in obj) {
                    formData.append(key, obj[key]);
                }
                return formData;
            },

            //function send data to backend (/form2/send/Id) and get the the current Id
            async insertData(){
                // let self = this
                this.currentData.regulasi_file =`${this.regulasi_file[0].postAction}/${this.regulasi_file[0].name}`
                this.currentData.sdm_file =`${this.sdm_file[0].postAction}/${this.sdm_file[0].name}`
                this.currentData.dukungananggaran_file =`${this.dukungananggaran_file[0].postAction}/${this.dukungananggaran_file[0].name}`
                this.currentData.it_file =`${this.it_file[0].postAction}/${this.it_file[0].name}`
                this.currentData.bimtek_file =`${this.bimtek_file[0].postAction}/${this.bimtek_file[0].name}`
                this.currentData.renstra_file =`${this.renstra_file[0].postAction}/${this.renstra_file[0].name}`
                this.currentData.jejaring_file =`${this.jejaring_file[0].postAction}/${this.jejaring_file[0].name}`
                this.currentData.replikasi_file =`${this.replikasi_file[0].postAction}/${this.replikasi_file[0].name}`
                let data = this.formData(this.currentData)
                let id = this.dataprops.id
                await axios.post(`/form2/send/${id}`,data).then(response => {
                   this.currentData.id = response.data
                })
            },

            //function send to next component
            toNextComponent(visit){
                //kita combinasikan data form 1 dan form 2
                // let datamerged = Object.assign( {}, this.dataprops, this.currentData);

                let data = {
                    back:this.component,
                    data:this.currentData,

                    visit
                }
                this.$emit('datacomponent', data)
            },

            //function for inputfilter file from Plugin
            inputFilter(newFile, oldFile, prevent) {
              if (newFile && !oldFile) {
                if (/(\/|^)(Thumbs\.db|desktop\.ini|\..+)$/.test(newFile.name)) {
                  return prevent()
                }
                if (/\.(php5?|html?|jsx?)$/i.test(newFile.name)) {
                  return prevent()
                }
              }
            },

            //function for activing upload file when user upload the file
            uploadRegulasi() {
                this.$refs.regulasi_file.active = true
            },
            uploadSdm() {
                this.$refs.sdm_file.active = true
            },
            uploadDukunganAnggaran() {
                this.$refs.dukungananggaran_file.active = true
            },
            uploadIt() {
                this.$refs.it_file.active = true
            },
            uploadBimtek() {
                this.$refs.bimtek_file.active = true
            },
            uploadRenstra() {
                this.$refs.renstra_file.active = true
            },
            uploadJejaring() {
                this.$refs.jejaring_file.active = true
            },
            uploadReplikasi() {
                this.$refs.replikasi_file.active = true
            },


            getFile(link){
              return `${this.image_folder}/file.png`
            },
        },
    }
</script>

<style>

</style>
